libetonyek::KEY2StyleParser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2StyleParser Class Reference

`#include <KEY2StyleParser.h>`

Inheritance diagram for libetonyek::KEY2StyleParser:

## Public Member Functions
| KEY2StyleParser (int nameId, int nsId, KEYCollector *collector, const KEYDefaults &defaults, bool nested=false)
void | parse (const KEYXMLReader &reader)

## Private Member Functions
| KEY2StyleParser (const KEY2StyleParser &other)
KEY2StyleParser & | operator= (const KEY2StyleParser &other)
void | parseProperty (const KEYXMLReader &reader, const char *key=0)
bool | parsePropertyImpl (const KEYXMLReader &reader, const int propertyId, const char *key)
| Parse the value of property `propertyId`. More...
void | parsePropertyMap (const KEYXMLReader &reader)
KEYGeometryPtr_t | readGeometry (const KEYXMLReader &reader)
Private Member Functions inherited from libetonyek::KEY2ParserUtils
virtual | ~KEY2ParserUtils ()
| KEY2ParserUtils ()

## Private Attributes
const int | m_nameId
const int | m_nsId
const bool | m_nested
KEYCollector *const | m_collector
const KEYDefaults & | m_defaults
KEYPropertyMap | m_props

## Additional Inherited Members
Static Private Member Functions inherited from libetonyek::KEY2ParserUtils
static boost::optional< ID_t > | readID (const KEYXMLReader &reader)
| Read sfa:ID attribute of an element. More...
static ID_t | readRef (const KEYXMLReader &reader)
| Read a reference element. More...
static std::pair< boost::optional< double >, boost::optional< double > > | readPoint (const KEYXMLReader &reader)
| Read sf:point element. More...
static KEYPosition | readPosition (const KEYXMLReader &reader)
| Read sf:position element. More...
static KEYSize | readSize (const KEYXMLReader &reader)
| Read sf:size element. More...
static bool | bool_cast (const char *value)
| Convert string value to bool. More...
static double | double_cast (const char *value)
static int | int_cast (const char *value)
static double | deg2rad (double value)

## Constructor & Destructor Documentation

libetonyek::KEY2StyleParser::KEY2StyleParser | ( | const KEY2StyleParser & | other | ) |
| private

libetonyek::KEY2StyleParser::KEY2StyleParser | ( | int | nameId,
|  | int | nsId,
|  | KEYCollector * | collector,
|  | const KEYDefaults & | defaults,
|  | bool | nested = `false`
| ) |  |

## Member Function Documentation

KEY2StyleParser& libetonyek::KEY2StyleParser::operator= | ( | const KEY2StyleParser & | other | ) |
| private

void libetonyek::KEY2StyleParser::parse | ( | const KEYXMLReader & | reader | ) |

Referenced by parsePropertyImpl(), and libetonyek::KEY2Parser::parseStyles().

void libetonyek::KEY2StyleParser::parseProperty | ( | const KEYXMLReader & | reader,
|  | const char * | key = `0`
| ) |  |
| private

Referenced by parsePropertyMap().

bool libetonyek::KEY2StyleParser::parsePropertyImpl | ( | const KEYXMLReader & | reader,
|  | const int | propertyId,
|  | const char * | key
| ) |  |
| private

Parse the value of property `propertyId`.

IOW, this parses the element nested in the property element.

Parameters

  [in] | reader | XML reader
  [in] | propertyId | token ID of the property that is currently being parsed
  [in] | key | key for insertion into the map

Referenced by parseProperty().

void libetonyek::KEY2StyleParser::parsePropertyMap | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parse().

KEYGeometryPtr_t libetonyek::KEY2StyleParser::readGeometry | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parsePropertyImpl().

## Member Data Documentation

KEYCollector* const libetonyek::KEY2StyleParser::m_collector
| private

Referenced by parse(), and parsePropertyImpl().

const KEYDefaults& libetonyek::KEY2StyleParser::m_defaults
| private

Referenced by parsePropertyImpl(), and readGeometry().

const int libetonyek::KEY2StyleParser::m_nameId
| private

Referenced by parse().

const bool libetonyek::KEY2StyleParser::m_nested
| private

Referenced by parse().

const int libetonyek::KEY2StyleParser::m_nsId
| private

Referenced by parse().

KEYPropertyMap libetonyek::KEY2StyleParser::m_props
| private

Referenced by parse(), and parsePropertyImpl().

The documentation for this class was generated from the following files:

- KEY2StyleParser.h
- KEY2StyleParser.cpp